oneconf-common should use python3 by default

Bug #1440375 reported by Matthias Klose on 2015-04-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
oneconf (Ubuntu)
Medium
Unassigned

Bug Description

There is still the goal to remove Python2 from the desktop images, and to use Python3 only. oneconf-common should use python3 by default

Related branches

Didier Roche (didrocks) wrote :

oneconf-common is used by software-center. We can do the switch one software-center is switched to python3 (which depends on xapian IIRC).

Changed in oneconf (Ubuntu):
status: New → Triaged
Matthias Klose (doko) wrote :

an experimental build of python3-xapian is available in the doko/toolchain PPA. Is the change in oneconf-common really just a switch, or is there some porting needed?

Robert Ancell (robert-ancell) wrote :

See bug 823254 for software centre porting to Python 3.

Matthias Klose (doko) wrote :

python-xapian1.3 and python3-xapian1.3 are now in 15.10

Barry Warsaw (barry) wrote :

Two things: at the last UOS it was decided that software-center is going to be dropped from Xenial. We have a TODO in the blueprint but as yet no one assigned to this: https://blueprints.launchpad.net/ubuntu/+spec/foundations-x-python3-only

Also, oneconf-common should drop its python-* dependencies because it doesn't actually contain any Python code afaict.

% dpkg-deb -c oneconf-common_0.3.8_all.deb
drwxr-xr-x root/root 0 2015-05-05 13:13 ./
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/oneconf/
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/oneconf/data/
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/oneconf/data/images/
-rw-r--r-- root/root 2741 2015-05-05 12:52 ./usr/share/oneconf/data/images/computer.png
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/dbus-1/
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/dbus-1/services/
-rw-r--r-- root/root 80 2015-05-05 13:13 ./usr/share/dbus-1/services/com.ubuntu.OneConf.service
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/doc/
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/doc/oneconf-common/
-rw-r--r-- root/root 1506 2015-05-05 13:13 ./usr/share/doc/oneconf-common/changelog.gz
-rw-r--r-- root/root 348 2015-05-05 12:52 ./usr/share/doc/oneconf-common/copyright
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/update-notifier/
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/update-notifier/plugins/
drwxr-xr-x root/root 0 2015-05-05 13:13 ./usr/share/update-notifier/plugins/cache-changed/

python-oneconf (i.e. the Python 2 version of the library) already has the necessary dependencies, so anything depending on the Python 2 version should pull in the right packages. But oneconf itself depends on python3-oneconf so if the oneconf-common deps on Python 2 are dropped, this would be one less thing keeping Python 2 on the images.

Should be a fairly easy branch to make, so I'll do that.

Changed in oneconf (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oneconf - 0.3.9

---------------
oneconf (0.3.9) xenial; urgency=medium

  * d/control:
    - Drop the explicit Python 2 dependencies for oneconf-common since the
      package contains no Python code. (LP: #1440375)
    - Add ${python3:Depends} to oneconf binary package.
    - Bump Standards-Version with no other changes necessary.

 -- Barry Warsaw <email address hidden> Tue, 17 Nov 2015 17:51:28 -0500

Changed in oneconf (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers